ROC-OBJ-EXTRACT(1)

NAME
roc-obj-extract - ROCm code object extraction tool

SYNOPSIS
roc-obj-extract [-o|v|h] URI...

DESCRIPTION
roc-obj-extract copies code objects that are embedded within binaries and saves them to disk.

OPTIONS

-o <path>
    Path for output. If "-" specified, code object is printed to STDOUT.

-v  Verbose output to STDOUT.

-h  Show help message.

NOTES
When specifying a URI in a shell command you will need to escape the '&' character in the range_specifier. If "size=" is not specified, the default is the remainder of the file from the given offset.

SEE ALSO

roc-obj(1), roc-obj-ls(1)